// This file(and its .cpp ) was written by Joe Zimmerman
// The files are found in :
//			http://www.velocity.net/~waz/glgamedev/view.cgi?V=tutorials&S=1



#ifndef TEXCLASS
#define TEXCLASS

#include "OpenGLDefs.h"

const int TF_NONE = 0;
const int TF_BILINEAR = 1;
const int TF_TRILINEAR = 2;


typedef struct 
{
	int					  width;
	int					  height;
	BITMAPINFO            info;   /* Bitmap information */
    GLubyte               *bits;  /* Buffer for bitmap data */
	HBITMAP               bitmap; /* Bitmap */
    
}BMPStruct;


class TextureClass 
{
public:
	unsigned char *Image;	// memory block for the bitmap
	int Width;				// width
	int Height;				// height
	int Id;					// OpenGL Identifier
};

#endif TEXCLASS


int LoadTexture(const char *filename, bool ColorIsAvg, bool AlphaIsAvg);
void LoadBitmapTexture(TextureClass *texture, const char *filename, bool ColorIsAvg, bool AlphaIsAvg, bool Reversed);
int  SaveBitmapTexture(const char *filename,BMPStruct &bmpStruct);
void SetupTexture(TextureClass *texture);
void ReSetupTextures();
void ReSetupTexture(int t);
void SetTextureFilter(int newfilter);
