// SerializationException.h: interface for the SerializationException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERIALIZATIONEXCEPTION_H__D80796E1_47D1_11D4_9320_ECEDC1638A74__INCLUDED_)
#define AFX_SERIALIZATIONEXCEPTION_H__D80796E1_47D1_11D4_9320_ECEDC1638A74__INCLUDED_

#include <stdexcept>
#include <string>

/** Indicates that an error has occured in an attempt
* to serialize an object from a stream.
* A possible reason may be that the stream does not
* contain an object of the desired type.
*/
class SerializationException : public std::runtime_error
{
public:
/** Constructs and initializes an IOException object. 
* param what_arg a description of the exception.
	*/
	SerializationException(const std::string & what_arg);
	virtual ~SerializationException();
};

#endif // !defined(AFX_SERIALIZATIONEXCEPTION_H__D80796E1_47D1_11D4_9320_ECEDC1638A74__INCLUDED_)
