#ifndef WRLFLEXLEXER_H
#define WRLFLEXLEXER_H

#include <assert.h>
#include <FlexLexer.h>
#include "myString.h"

class wrlFlexLexer : public yyFlexLexer {
public:
    wrlFlexLexer(istream * arg_yyin = 0, ostream * arg_yyout = 0) :
        yyFlexLexer(arg_yyin, arg_yyout)
    {assert(s_instance==NULL); s_instance = this;}
    static wrlFlexLexer * instance(void)
    {assert(s_instance); return(s_instance);}
	~wrlFlexLexer() { s_instance = NULL; }	/* adi: necessary for iterative processing of multiple files */

    virtual int yylex(void);
    void yyerror(const char * message, int curToken);

    int m_lineno;
    
private:
    static wrlFlexLexer * s_instance;

    void commentToEOL(void);
    void comment(void);
};

#endif
